List Content
curl --request GET \
--url https://api.proposales.com/v3/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.proposales.com/v3/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.proposales.com/v3/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": 123,
"description": {},
"product_id": 123,
"variation_id": 123,
"title": {},
"is_archived": {},
"sources": {},
"images": [
{}
],
"integration_id": 123,
"integration_metadata": {}
}
]
}Content
List Content
Lists all content.
GET
/
v3
/
content
List Content
number
Limits results to one company the token can access. Required when using
external_id unless you also pass variation_id, or product_id that resolves to at least one variation for this token (integration or Oracle external lookup).string
Look up content by external identifier:
- Integration imports: matches
sources.integration.uniqueIdexactly (case-sensitive), as set during content import. - Oracle: same parameter also matches
sources.oracle.code(case-insensitive), preserving existing behaviour.
external_id is not scoped with variation_id or a product_id that resolves to variations for this token, you must pass company_id.string
Variation ID filter, can be single ID or multiple comma separated ones.
When provided, detailed information will be included in the response.
string
Product ID filter, can be single ID or multiple comma separated ones.
When provided, detailed information will be included in the response.
Alternative to variation_id - you can use either parameter.
boolean
default:"false"
Set to true to include archived content in the response. By default, only active (non-archived) content is returned.
boolean
default:"false"
Set to true to include the sources field in the response. This contains integration metadata like connections to Opera, Mews or other systems.
Example Requests
List all content:GET /v3/content
GET /v3/content?product_id=123,456
GET /v3/content?variation_id=789,101112
GET /v3/content?product_id=123&variation_id=789
GET /v3/content?include_archived=true
uniqueId from the vendor):
GET /v3/content?company_id=123&external_id=vendor-product-abc
Response
Content[]
Hide content
Hide content
number
The UNIX timestamp when the content was first created.
object
Contains the language as the key, and the description as the value.
number
The ID of the product.
number
The variation ID of a product.
A product might have multiple variations.
object
Contains the language as the key, and the title as the value.
boolean | undefined
Indicates whether the content has been archived. Only included when the
include_archived parameter is set to true.object | undefined
Integration metadata such as connections to Opera, Mews or other systems. Only included when the
include_sources parameter is set to true.Asset[] | undefined
A list of images of the content, will only be included when filtering content by variation ID.
number
Will be the ID of an integration if the product was imported by it.
object
Custom integration metadata if the integration has specified it during content import.